use "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_correct\SAYP 1999 Hhold.dta", clear

tostring uqnr, replace
macro drop _all
foreach i of varlist uqnr- hhwgt {
 	local j = lower("`i'")
	rename `i' `j'
	macro drop j
}

lab def q41dwell 1 "House or brick structure on a separate" /*
*/ 2 "Traditional dwelling/hut/structure" /*
*/ 3 "Flat in a block of flats" /*
*/ 4 "Town/cluster/semi-detached house" /*
*/ 5 "House/flat/room in backyard" /*
*/ 6 "Informal dwelling/shack in backyard" /*
*/ 7 "Informal dwelling/shack not in backyard" /*
*/ 8 "Room (-s)/garage not in backyard" /*
*/ 9 "Caravan/tent*" /*
*/ 10 "Other" /*
*/ -99 "Unspecified"
lab val q41dwell q41dwell

lab def q42noroo -99 "Unspecified"
lab val q42noroo q42noroo

lab def q43cooki 1 "Electricity" 2 "Gas" 3 "Paraffin" 4 "Wood" 5 "Coal" 6 "Candles" 7 "Animal dung" 8 "Solar energy" 9 "Other" -99 "Unspecified"
lab val q43cooki q43cooki
lab val q43heati q43cooki
lab val q43light q43cooki

lab def q44acoll 1 "Someone outside household" 2 "Someone outside household" /*
*/ 3 "Only an adult/adults in the household" 4 "Only a child/children" /*
*/ 5 "An adult/adults and a child/children" 6 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q44acoll q44acoll

lab def q44bcoll 1 "Mostly males" 2 "Mostly females" 3 "Equally males and females" -99 "Unspecified" -999 "Not Applicable"
lab val q44bcoll q44bcoll

lab def q45water 1 "Piped (tap) water in dwelling" 2 "Piped (tap) water on site or in yard" /*
*/ 3 "Public tap" 4 "Water-carrier/tanker" 5 "Borehole on site" 6 "Borehole off site/communal" /*
*/ 7 "Rain-water tank on site" 8 "Flowing water/stream" 9 "Dam/pool/stagnant water" /*
*/ 10 "Well" 11 "Spring" 12 "Other" -99 "Unspecified"
lab val q45water q45water

lab def q46acoll 1 "Someone outside household" 2 "Someone outside household" /*
*/ 3 "Only an adult/adults in the household" 4 "Only a child/children" /*
*/ 5 "An adult/adults an a child/childrenz" 6 "Other, specify" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q46acoll q46acoll

lab def q46bcoll 1 "Mostly males" 2 "Mostly females" 3 "Equally males and females" -99 "Unspecified"
lab val q46bcoll q46bcoll

lab def q47ahhcu 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q47ahhcu q47ahhcu
lab val q47brela q47ahhcu
lab val q47brelb q47ahhcu
lab val q47brelc q47ahhcu
lab val q47breld q47ahhcu
lab val q47brele q47ahhcu
lab val q47brelf q47ahhcu
lab val q47brelg q47ahhcu
lab val q47brelh q47ahhcu

lab def q48agros 1 "No income" /*
*/ 2 "R1  R1 200" /*
*/ 3 "R1 202  R2 400" /*
*/ 4 "R2 401  R4 200" /*
*/ 5 "R4 201  R6 000" /*
*/ 6 "R6 001  R9 000" /*
*/ 7 "R9 001  R12 000" /*
*/ 8 "R12 001  R18 000" /*
*/ 9 "R18 001  R30 000" /*
*/ 10 "R30 001  R42 000" /*
*/ 11 "R42 001  R54 000" /*
*/ 12 "R54 001 or more" /*
*/ 13 "Dont know" /*
*/ 14 "Refuse" /*
*/ -99 "Unspecified"
lab val q48agros q48agros

lab val q48bregu q47ahhcu
lab val q48bcasu q47ahhcu
lab val q48bself q47ahhcu
lab val q48bremi q47ahhcu
lab val q48bagri q47ahhcu
lab val q48bpens q47ahhcu
lab val q48bchil q47ahhcu
lab val q48csuba q47ahhcu
lab val q48csubb q47ahhcu

lab def prov 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province"
lab val prov prov

lab def stratum 1 "Formal Urban" 2 "Informal Urban" 3 "Other Rural Areas" 4 "Commercial Farms"
lab val stratum stratum
 
lab def qualify 1 "If the household qualified for selection for second phase" 2 "Otherwise"
lab val qualify qualify

lab def selected 1 "If the household qualified for selection and was selected" 2 "Otherwise"
lab val selected selected

lab def q49mainr -99 "Unspecified"
lab val q49mainr q49mainr

lab def q410lang 10 "Afrikaans" /*
*/ 26 "Arabic" /*
*/ 23 "Chinese" /*
*/ 3 "English" /*
*/ 17 "French" /*
*/ 13 "German" /*
*/ 14 "Greek" /*
*/ 21 "Gujarati" /*
*/ 19 "Hindi" /*
*/ 1 "Isandebele/Ndebele/South Ndebele/North Ndebele" /*
*/ 2 "Isixhosa/Xhosa" /*
*/ 3 "Isizulu/Sizulu/Zulu" /*
*/ 15 "Italian" /*
*/ 4 "Netherlands" /*
*/ 16 "Portuguese" /*
*/ 4 "Sepedi/Northern Sotho" /*
*/ 5 "Sesotho/Southern Sotho/Sotho" /*
*/ 6 "Setswana/Tswana" /*
*/ 25 "Shona" /*
*/ 7 "Siswati/Swazi" /*
*/ 24 "Swahili" /*
*/ 18 "Tamil" /*
*/ 20 "Telegu" /*
*/ 8 "Tshivenda/Venda" /*
*/ 22 "Urdu" /*
*/ 9 "Xitsonga/Tsonga/Shangaan" /*
*/ 0 "Other" /*
*/ -99 "Not reported"
lab val q410lang q410lang

cap valtovar _all, no d


save "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_correct\SAYP 1999 Hhold_v1.1_labelled.dta", replace


