use "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Adult.dta", clear

tostring uqnr, replace
macro drop _all
foreach i of varlist personno - PH2WGTP {
 	local j = lower("`i'")
	rename `i' `j'
	macro drop j
}


lab var personno "Person Number"
lab var uqnr "Unique Number"
lab var q51ownb "Any kind of business last 7 days "
lab var q51bunpa "Help in family business last 7 days"
lab var q51cfarm "Help on family plot last 7 days "
lab var q51dcatc "Catch any fish last 7 days "
lab var q51epaid "Any work for wage last 7 days "
lab var q51fbeg "Beg for money or food last 7 days"
lab var q52havew "Have a job to return to"
lab var q53adoan "Do work in the last 12 months"
lab var q53bmain "Activity spent most time on "
lab var q54wantw "Want to do any of the activities "
lab var q55start "Start in next 4 weeks "
lab var q56seekw "Look for any work during past 4 weeks "
lab var q57maina "Main activity in past 7 days "
lab var q58occco "Type of work in past 7 days (occupation)"
lab var q59maina "Characteristics of main activity "
lab var q510indu "Industry of main activity "
lab var q510othe "Industry of secondary farming activity "
lab var q511busi "Business or enterprise "
lab var q512nowo "Number of workers at business/enterprise"
lab var q513busi "Formal or informal business "
lab var q514farm "Products for own use or for sale "
lab var q515ahou "Hours per week in all activities "
lab var q515bwan "Want more work of any type "
lab var q516afet "Fetch water or wood last 7 days "
lab var q516bhou "Help in housekeeping last 7 days "
lab var q516catt "Go to school at any time last 7 days"
lab var q516ccle "Help at school last 7 days "
lab var q516dspe "Regularly spend more than 1 hour "
lab var q517gros "Gross cash earnings for last 12 months"
lab var prov "Province "
lab var stratum "Area type "
lab var ph2wgtp "Individual weight for phase two"

lab def q51ownb 1 "Yes" 2 "No" -99 "Unspecified"

foreach x of varlist q51ownb-q51fbeg {
lab val `x' q51ownb
}
lab def q52havew 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q52havew q52havew
lab val q53adoan q52havew

lab def q53bmain 1 "Run or do any kind of business" 2 "Help unpaid in a family business" /*
*/ 3 "Do any work on his/her own" 4 "Catch any fish, prawns, shells, etc" /*
*/ 5 "Do any work for a wage, salary" 6 "Beg for money or food in public" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q53bmain q53bmain

lab val q54wantw q52havew
lab val q55start q52havew
lab val q56seekw q52havew

lab def q57maina 1 "Attending school or training" /*
*/ 2 "Homemaker/pregnant/caring for children," /*
*/ 3 "Actively searching for work" /*
*/ 4 "Too old (retired?) or too young to work" /*
*/ 5 "Of illness or disability" /*
*/ 6 "Waiting for job to start" /*
*/ 7 "Seasonal or contract worker" /*
*/ 8 "Cannot find suitable work" /*
*/ 9 "Does not want/need work" /*
*/ 10 "Retired oar pensioner" /*
*/ 11 "Other reason, specify" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q57maina q57maina

lab def q58occco -99 "Unspecified" -999 "Not Applicable"
lab val q58occco q58occco

lab def q59maina 1 "Working for someone else for pay?" /*
*/ 2 "Working for one or more private" 3 "Working on his/her family land/plot" /*
*/ 4 "Working on his/her own" 5 "Helping without pay in a family business?" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q59maina q59maina

lab def q510indu -99 "Unspecified" -999 "Not Applicable"
lab val q510indu q510indu
lab val q510othe q510indu

lab def q511busi 1 "Government/establishment/enterprise/parastatal" /*
*/ 2 "Private business or self-employment" /*
*/ -99 "Unspecified" -999 "Not Applicable"
lab val q511busi q511busi

lab def q512nowo 1 "1 Person only" 2 "2-4" 3 "5-9" 4 "10  19" 5 "20 or more" 6 "Dont know" -99 "Unspecified" -999 "Not Applicable"
lab val q512nowo q512nowo

lab def q513busi 1 "Formal" 2 "Informal" -99 "Unspecified" -999 "Not Applicable"
lab val q513busi q513busi

lab def q514farm 1 "Mostly for own use" 2 "Mostly for sale" -99 "Unspecified" -999 "Not Applicable"
lab val q514farm q514farm

lab def q515ahou -99 "Unspecified" -999 "Not Applicable"
lab val q515ahou q515ahou

lab val q515bwan q52havew
lab val q516afet q51ownb
lab val q516bhou q51ownb
lab val q516catt q51ownb
lab val q516ccle q52havew
lab val q516dspe q51ownb

lab def q517gros 1 "No income" /*
*/ 2 "R1  R1 200" /*
*/ 3 "R1 202  R2 400" /*
*/ 4 "R2 401  R4 200" /*
*/ 5 "R4 201  R6 000" /*
*/ 6 "R6 001  R9 000" /*
*/ 7 "R9 001  R12 000" /*
*/ 8 "R12 001  R18 000" /*
*/ 9 "R18 001  R30 000" /*
*/ 10 "R30 001  R42 000" /*
*/ 11 "R42 001  R54 000" /*
*/ 12 "R54 001 or more" /*
*/ 13 "Dont know" /*
*/ 14 "Refuse" /*
*/ -99 "Unspecified"
lab val q517gros q517gros

lab def prov 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province"
lab val prov prov

lab def stratum 1 "Formal Urban" 2 "Informal Urban" 3 "Other Rural Areas" 4 "Commercial Farms"
lab val stratum stratum

cap valtovar _all, no d

save "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Adult_v1.1_labelled.dta", replace

