use "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Person.dta", clear

tostring uqnr, replace
macro drop _all
foreach i of varlist personno- FLAG01 {
 	local j = lower("`i'")
	rename `i' `j'
	macro drop j
}

lab def q11anyme 1 "Yes" 2 "No"
lab val q11anyme q11anyme

lab def q12gende 1 "Male" 2 "Female" -99 "Unspecified"
lab val q12gende q12gende

lab def q13age -99 "Unspecified"
lab val q13age q13age

lab def q14race 1 "African/Black" 2 "Coloured" 3 "Indian/Asian" 4 "White" 5 "Other" -99 "Unspecified"
lab val q14race q14race

lab def q15relsh 1 "Husband/Wife/Partner" 2 "Son/Daughter/Stepchild/Adopted Child" /*
*/ 3 "Brother/Sister" 4 "Father/Mother" 5 "Grandparent" 6 "Grandchild" 7 "Other Relative" /*
*/ 8 "Non-Related Persons" -99 "Unspecified" -999 "Not Applicable"
lab val q15relsh q15relsh

lab def q16afath -99 "Unspecified" -999 "Not Applicable"
lab val q16afath q16afath

lab def q16bmoth -99 "Unspecified" -999 "Not Applicable"
lab val q16bmoth q16bmoth

lab def q16cgran -99 "Unspecified" -999 "Not Applicable"
lab val q16cgran q16cgran

lab def q16dgran -99 "Unspecified" -999 "Not Applicable"
lab val q16dgran q16dgran

lab def q16espou  -99 "Unspecified" -999 "Not Applicable"
lab val q16espou q16espou

lab def q16fnone -99 "Unspecified" -999 "Not Applicable"
lab val q16fnone q16fnone

lab def q17marit 1 "Never Married" 2 "Married or Living Together with Partner" /*
*/ 3 "Widow/Widower" 4 "Divorced/Separated" -99 "Unspecified" -999 "Not Applicable"
lab val q17marit q17marit

lab def q18highe 0 "No Schooling" /*
*/ 1 "Grade 0" /*
*/ 2 "Sub A/Grade 1" /*
*/ 3 "Sub B/Grade 2" /*
*/ 4 "Std 1/Grade 3" /*
*/ 5 "Std 2/Grade 4" /*
*/ 6 "Std 3/Grade 5" /*
*/ 7 "Std 4/Grade 6" /*
*/ 8 "Std 5/Grade 7" /*
*/ 9 "Std 6/Form 1/Grade 8" /*
*/ 10 "Std 7/Form 2/Grade 9" /*
*/ 11 "Std 8/Form 3/Grade 10" /*
*/ 12 "Std 9/Form 4/Grade 11" /*
*/ 13 "Std 10/Form 5/Grade 12" /*
*/ 14 "Ntc I" /*
*/ 15 "Ntc II" /*
*/ 16 "Ntc III" /*
*/ 17 "Diploma/Certificate with less than std 10/Grade 12" /*
*/ 18 "Diploma/Certificate with std 10/Grade 12" /*
*/ 19 "Degree" /*
*/ 20 "Other" /*
*/ -99 "Unspecified" /*
*/ -999 "Not Applicable"
lab val q18highe q18highe

lab def q21livei 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q21livei q21livei

lab def q22atrad 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q22atrad q22atrad

lab def q22bcomm 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val q22bcomm q22bcomm

lab def q23rsnfo 1 "Schooling/Training related" 2 "Work and unemployment related" /*
*/ 3 "Household related" 4 "Personal reason" 5 "Other" -99 "Unspecified" -999 "Not Applicable"
lab val q23rsnfo q23rsnfo

lab def q31aownb 1 "Yes" 2 "No" -99 "Unspecified" -999 "Not Applicable"
lab val  q31aownb q31aownb

lab val q31bunpa q31aownb
lab val q31cfarm q31aownb
lab val q31dcatc q31aownb
lab val q31epaid q31aownb
lab val q31fbeg q31aownb
lab val q32afetc q31aownb
lab val q32bhous q31aownb
lab val q32cclea q31aownb
lab val q32dspen q31aownb

lab def q33usual 1 "Attending School" 2 "Not working and looking for work" 3 "Sick" /*
*/ 4 "Disabled" 5 "Too young" 6 "Of other reason" -99 "Unspecified" -999 "Not Applicable"
lab val q33usual q33usual

lab def q34activ 1 "Any child engaged in any of the activities" 2 "Any child only engaged in Fetching water/collecting firewood" 3 "No child engaged in any of those"
lab val q34activ q34activ

lab def prov 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province"
lab val prov prov

lab def stratum 1 "Formal Urban" 2 "Informal Urban" 3 "Other Rural Areas" 4 "Commercial Farms"
lab val stratum stratum

lab def qualify 1 "If the household qualified for selection for second phase" 2 "Otherwise"
lab val qualify qualify

lab def selected 1 "If the household qualified for selection and was selected" 2 "Otherwise"
lab val selected selected


lab def flag01 1 "Flagged" 0 "Otherwise"
lab val flag01 flag01

cap valtovar _all, no d

save "Z:\Datasets\Survey of Activities of Young People\Survey of Activities of Young People 1999\Data\Stata_from_SPSS\SAYP 1999 Person_v1.1_labelled.dta", replace
